{
  "schemaVersion": 2,
  "$schema": "https://schemas.runtipi.io/dynamic-compose.json",
  "services": [
    {
      "name": "nas-samba",
      "image": "servercontainers/samba:latest",
      "isMain": true,
      "hostname": "nas",
      "addPorts": [
        {
          "hostPort": 445,
          "containerPort": 445,
          "protocol": "tcp",
          "hostIp": "${BIND_IP:-192.168.0.15}"
        },
        {
          "hostPort": 139,
          "containerPort": 139,
          "protocol": "tcp",
          "hostIp": "${BIND_IP:-192.168.0.15}"
        }
      ],
      "volumes": [
        {
          "hostPath": "${NAS_PATH:-/nas}",
          "containerPath": "/nas"
        }
      ],
      "environment": [
        {
          "key": "ACCOUNT_alexz",
          "value": "${SMB_PASSWORD}"
        },
        {
          "key": "UID_alexz",
          "value": "1000"
        },
        {
          "key": "GROUP_alexz",
          "value": "users"
        },
        {
          "key": "SAMBA_VOLUME_CONFIG_data",
          "value": "[data]; path=/nas; valid users=alexz; browsable=yes; writable=yes; create mask=0664; directory mask=0775"
        }
      ]
    }
  ]
}
